CREATE TABLE gl_allocation_details (
    RULE_LINE_ID                NUMBER(18, 0),
    RULE_ID                     NUMBER(18, 0)    NOT NULL,
    AMOUNT                      NUMBER       ,
    AMOUNT_TYPE_CODE            VARCHAR2(120),
    CURRENCY_CODE               VARCHAR2(60)     NOT NULL,
    CURRENCY_TYPE_CODE          VARCHAR2(120),
    BALANCE_AMOUNT_TYPE_CODE    VARCHAR2(120),
    LINE_TYPE_CODE              VARCHAR2(120)    NOT NULL,
    PERIOD_NAME                 VARCHAR2(60) ,
    ACCOUNTING_DATE             DATE         ,
    LEDGER_ID                   NUMBER(18, 0),
    LEDGER_TYPE_CODE            VARCHAR2(120),
    SCENARIO_CODE               VARCHAR2(120)    NOT NULL,
    START_DATE                  DATE         ,
    END_DATE                    DATE         ,
    ACTIVE_FLAG                 VARCHAR2(4)      NOT NULL,
    LINE_CRITERIA_XML           CLOB         ,
    ATTRIBUTE_CATEGORY          VARCHAR2(120),
    ATTRIBUTE1                  VARCHAR2(600),
    ATTRIBUTE2                  VARCHAR2(600),
    ATTRIBUTE3                  VARCHAR2(600),
    ATTRIBUTE4                  VARCHAR2(600),
    ATTRIBUTE5                  VARCHAR2(600),
    ATTRIBUTE_NUMBER1           NUMBER       ,
    ATTRIBUTE_NUMBER2           NUMBER       ,
    ATTRIBUTE_NUMBER3           NUMBER       ,
    ATTRIBUTE_NUMBER4           NUMBER       ,
    ATTRIBUTE_NUMBER5           NUMBER       ,
    ATTRIBUTE_DATE1             DATE         ,
    ATTRIBUTE_DATE2             DATE         ,
    ATTRIBUTE_DATE3             DATE         ,
    ATTRIBUTE_DATE4             DATE         ,
    ATTRIBUTE_DATE5             DATE         ,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    RULE_LINE_ID                NUMBER(18, 0),
    RULE_ID                     NUMBER(18, 0)    NOT NULL,
    AMOUNT                      NUMBER       ,
    AMOUNT_TYPE_CODE            VARCHAR2(120),
    CURRENCY_CODE               VARCHAR2(60)     NOT NULL,
    CURRENCY_TYPE_CODE          VARCHAR2(120),
    BALANCE_AMOUNT_TYPE_CODE    VARCHAR2(120),
    LINE_TYPE_CODE              VARCHAR2(120)    NOT NULL,
    PERIOD_NAME                 VARCHAR2(60) ,
    ACCOUNTING_DATE             DATE         ,
    LEDGER_ID                   NUMBER(18, 0),
    LEDGER_TYPE_CODE            VARCHAR2(120),
    SCENARIO_CODE               VARCHAR2(120)    NOT NULL,
    START_DATE                  DATE         ,
    END_DATE                    DATE         ,
    ACTIVE_FLAG                 VARCHAR2(4)      NOT NULL,
    LINE_CRITERIA_XML           CLOB         ,
    ATTRIBUTE_CATEGORY          VARCHAR2(120),
    ATTRIBUTE1                  VARCHAR2(600),
    ATTRIBUTE2                  VARCHAR2(600),
    ATTRIBUTE3                  VARCHAR2(600),
    ATTRIBUTE4                  VARCHAR2(600),
    ATTRIBUTE5                  VARCHAR2(600),
    ATTRIBUTE_NUMBER1           NUMBER       ,
    ATTRIBUTE_NUMBER2           NUMBER       ,
    ATTRIBUTE_NUMBER3           NUMBER       ,
    ATTRIBUTE_NUMBER4           NUMBER       ,
    ATTRIBUTE_NUMBER5           NUMBER       ,
    ATTRIBUTE_DATE1             DATE         ,
    ATTRIBUTE_DATE2             DATE         ,
    ATTRIBUTE_DATE3             DATE         ,
    ATTRIBUTE_DATE4             DATE         ,
    ATTRIBUTE_DATE5             DATE         ,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_gl_allocation_details PRIMARY KEY (RULE_LINE_ID, RULE_LINE_ID)
);
